aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/cron/cron-3.0pl1/init
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/cron/cron-3.0pl1/init')
-rw-r--r--recipes/cron/cron-3.0pl1/init38
1 files changed, 38 insertions, 0 deletions
diff --git a/recipes/cron/cron-3.0pl1/init b/recipes/cron/cron-3.0pl1/init
new file mode 100644
index 0000000000..0a4f3e256f
--- /dev/null
+++ b/recipes/cron/cron-3.0pl1/init
@@ -0,0 +1,38 @@
+#! /bin/sh
+#
+# This is an init script for openembedded
+# Copy it to /etc/init.d/cron and type
+# > update-rc.d cron defaults 60
+#
+cron=/usr/sbin/cron
+test -x "$cron" || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting Vixie-cron"
+ start-stop-daemon --start --quiet --exec $cron
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping Vixie-cron"
+ start-stop-daemon --stop --quiet --pidfile /var/run/cron.pid
+ echo "."
+ ;;
+ reload|force-reload)
+ start-stop-daemon --stop --quiet --signal 1 --exec $cron
+ ;;
+ restart)
+ echo -n "Stopping Vixie-cron"
+ start-stop-daemon --stop --quiet --pidfile /var/run/cron.pid
+ echo "."
+ sleep 1
+ echo -n "Starting Vixie-cron"
+ start-stop-daemon --start --quiet --exec $cron
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/cron {start|stop|reload|restart|force-reload}"
+ exit 1
+esac
+
+exit 0 \ No newline at end of file